---
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: werfdemo-ingress
spec:
  rules:
    - host: {{ .Values.werf.env_url }}
      http:
        paths:
        - pathType: Prefix
          path: "/"
          backend:
            service:
              name: werfdemo-svc
              port:
                number: 5000

---
apiVersion: v1
kind: Service
metadata:
  name: werfdemo-svc
spec:
  ports:
    - port: 5000
      protocol: TCP
  selector:
    app:  werfdemo

---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: werfdemo-depl
spec:
  selector:
    matchLabels:
      app: werfdemo
  replicas: 1
  template:
    metadata:
      labels:
        app: werfdemo
    spec:
      imagePullSecrets: 
      - name: werfdemo-registry-credentials
      containers:
      - name: werfdemo
        image: {{ .Values.werf.image.werfdemo }}
        imagePullPolicy: Always
        ports:
        - containerPort: 5000
        resources:
          limits:
            memory: "50Mi"
            cpu: "100m"
        env:
        - name: CI_COMMIT_REF_NAME
          value: {{ .Values.CI_COMMIT_REF_NAME }}
        - name: CI_COMMIT_SHORT_SHA
          value: {{ .Values.CI_COMMIT_SHORT_SHA }}
        - name: CI_ENVIRONMENT_URL
          value: {{ .Values.werf.env_url }}
